org.springframework.web.socket.sockjs.transport.handler

## Class AbstractTransportHandler

- java.lang.Object
- - org.springframework.web.socket.sockjs.transport.handler.AbstractTransportHandler

All Implemented Interfaces:
  TransportHandler

Direct Known Subclasses:
  AbstractHttpReceivingTransportHandler, AbstractHttpSendingTransportHandler, WebSocketTransportHandler

    public abstract class AbstractTransportHandler
    extends Object
    implements TransportHandler

Common base class for `TransportHandler` implementations.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Field Summary

Fields
`protected Log` `logger`

### Constructor Summary

Constructors
Constructor and Description
`AbstractTransportHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SockJsServiceConfig` `getServiceConfig()`
`void` `initialize(SockJsServiceConfig serviceConfig)` Initialize this handler with the given configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.socket.sockjs.transport.TransportHandler

`checkSessionType, getTransportType, handleRequest`

### Field Detail

#### logger

    protected final Log logger

### Constructor Detail

#### AbstractTransportHandler

    public AbstractTransportHandler()

### Method Detail

#### initialize

    public void initialize(SockJsServiceConfig serviceConfig)

Description copied from interface: `TransportHandler`
Initialize this handler with the given configuration.

Specified by:
  `initialize` in interface `TransportHandler`
Parameters:
  `serviceConfig` - the configuration as defined by the containing `SockJsService`

#### getServiceConfig

    public SockJsServiceConfig getServiceConfig()